## imagemagick 6.6.0.4

=== debian/changelog ===
imagemagick (8:6.6.0.4-3+squeeze4) squeeze-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add 0006-CVE-2014-1947-Fix-buffer-overflow-when-handling-PSD-images.patch patch.
    CVE-2014-1947: Fix buffer overflow when handling PSD images.
    (Closes: #740250)
  * Add 0007-Prevent-buffer-overflow-in-messaging-system.patch patch.
    Add upstream patch to prevent buffer overflow in messaging system.

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 18 Mar 2014 20:54:04 +0100

imagemagick (8:6.6.0.4-3+squeeze3) stable-security; urgency=high

  * Fix my blunder in the previous patch (closes: #670980, #671002). 
    All credit for patches of +squeeeze2 and the current fix go to 
    Bastien Roucaries. 

 -- Vincent Fourmond <fourmond@debian.org>  Wed, 02 May 2012 20:26:45 +0200

imagemagick (8:6.6.0.4-3+squeeze2) stable-security; urgency=high

  * Fix "Invalid validation DoS CVE-2012-1185 / CVE-2012-1186 (incomplete fix)" 
  (Closes: #665007)
  * Fix CVE-2012-0259 / CVE-2012-0260 / CVE-2012-1798 / 
    CVE-2012-1610 (Closes: #667635)
  - Vulnerability CVE-2012-0259 can cause a DoS in a system
    via handing JPEG files with invalid EXIF XResolution tag.
  - Vulnerability CVE-2012-0260 can lead to excessive use of
    memory in target system, when processing a malicious JPEG file.
    Excessive use of memory can lead to denial of service.
  - Vulnerability CVE-2012-1798 can cause program to crash when
    reading invalid memory, while parsing EXIF IFD in a TIFF file.
  - Vulnerability CVE-2012-1610 Fix a Potential EXIF Integer Overflow

 -- Vincent Fourmond <fourmond@debian.org>  Wed, 18 Apr 2012 23:05:08 +0200

imagemagick (8:6.6.0.4-3+squeeze1) stable-security; urgency=high

  * Security bug fix: "Invalid validation DoS
    CVE-2012-0247/CVE-2012-02478", thanks to Henri Salo (Closes: #659339).

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 05 Mar 2012 21:05:07 +0100

imagemagick (8:6.6.0.4-3) unstable; urgency=medium

  * Apply fix for reading config files from current directory, found by
    Jakub Wilk <jwilk@debian.org> (Closes: #601824).
    Thanks to Andreas Metzler <ametzler@downhill.at.eu.org> for the nicely
    formatted patch.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Tue, 16 Nov 2010 10:53:04 -0200

imagemagick (8:6.6.0.4-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Change Recommends on ufraw to ufraw-batch (closes: #579775).

 -- Julien Cristau <jcristau@debian.org>  Tue, 10 Aug 2010 18:21:24 -0400

imagemagick (8:6.6.0.4-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Re-upload 6.6.0.4 with bumped epoch to revert ABI breakage (closes:
    #587227).

 -- Julien Cristau <jcristau@debian.org>  Thu, 05 Aug 2010 13:19:32 -0400

imagemagick (7:6.6.0.4-2) unstable; urgency=low

  * Revert debian/patches/type.xml.patch for now, while we address this issue
    with upstream (Closes: #573983).
  * debian/control: make libmagickcore3-extra provides libmagickcore-extra
    (Closes: #574058). Thanks, Stuart Prescott!

 -- Nelson A. de Oliveira <naoliv@debian.org>  Wed, 17 Mar 2010 10:18:13 -0300

imagemagick (7:6.6.0.4-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Fri, 12 Mar 2010 15:13:35 -0300

imagemagick (7:6.5.9.8-1) experimental; urgency=low

  * New upstream release;
  * Upstream updated SONAME version (Closes: #564123):
    - debian/control: bump libmagickcore2, libmagickwand2 and libmagick++2 to
      libmagickcore3, libmagickwand3 and libmagick++3;
  * Removed reference to type-ghostscript.xml in type.xml, thus enabling
    ImageMagick to use the system fonts (Closes: #396420):
    - Added new patch debian/patches/type.xml.patch.
  * Fix mime handling of filenames with spaces (Closes: #562959).
    Thanks, Drew Parsons!
  * Updated Standards-Version to 3.8.4;
  * Remove unneeded debian/README.source.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Sat, 20 Feb 2010 02:39:52 -0200

imagemagick (7:6.5.8.3-1) unstable; urgency=low

  * New upstream release:
    - Fix the display of consecutive images with 'display' (Closes: #558046).
  * Convert package to the new format 3.0 (quilt);
  * Add some packages to Recommends, as they are necessary to convert to/from
    some formats (Closes: #557734):
    - ghostscript, netpbm, ufraw.
  * Like above, also add some packages to Suggests:
    - autotrace, cups-bsd | lpr | lprng, curl, enscript, ffmpeg, gimp, gnuplot,
      grads, groff-base, hp2xx, html2ps, libwmf-bin, mplayer, povray, radiance,
      sane-utils, texlive-base-bin, transfig, ufraw, xdg-utils.
    
 -- Nelson A. de Oliveira <naoliv@debian.org>  Sun, 06 Dec 2009 10:28:52 -0200

imagemagick (7:6.5.7.8-1) unstable; urgency=low

  * New upstream release;
  * Fix recommends on libmagickcore2-extra (Closes: #556360);
  * Fix versioned dependency on libmagick* libs (Closes: #556740).

 -- Nelson A. de Oliveira <naoliv@debian.org>  Tue, 17 Nov 2009 16:46:29 -0200

imagemagick (7:6.5.7.7-1) unstable; urgency=low

  * New upstream release;
    - Fixes "perferred" typos (Closes: #550503). Thanks A. Costa!
    - Patch to fix FTBFS on hurd-i386 has been merged upstream
      (Closes: #551017). Thanks Pino Toscano!
  * Upload to unstable.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Sat, 14 Nov 2009 15:07:22 -0200

imagemagick (7:6.5.5.3-1exp1) experimental; urgency=low

  * Split SVG, WMF, OpenEXR, DjVu and Graphviz coders into a new
    libmagickcore2-extra package:
    - Removed libmagickcore2 circular Depends on libmagickwand2
      (Closes: #524613);
    - Removed dependency on gtk libs (Closes: #478538).
    A big thank you to Nick Wellnhofer <wellnhofer@aevum.de>!
  * Sorted Build-Depends and Depends in debian/control.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Mon, 28 Sep 2009 20:00:55 -0300

imagemagick (7:6.5.5.3-1) unstable; urgency=low

  * New upstream release;
  * Removed SA35216.diff as it was fixed upstream;

