## imagemagick 6.6.0.4-3ubuntu1-maemo1

=== debian/changelog ===
imagemagick (8:6.6.0.4-3ubuntu1-maemo1) oneiric; urgency=low

  * Packaging for fremantle
  * Dependencies fixed

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun,  8 Jan 2012 15:23:28 +0200

imagemagick (8:6.6.0.4-3ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian (LP: #797595).  Remaining changes:
    - Make ufraw-batch (universe) a suggestion instead of a recommendation.
    - Make debian/rules install target depend on check; they cannot reliably
      be run in parallel.
    - Don't set MAKEFLAGS in debian/rules; just pass it to the build.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 15 Jun 2011 11:05:28 +0100

imagemagick (7:6.6.2.6-1ubuntu5) oneiric; urgency=low

  * Rebuild for Perl 5.12.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 May 2011 15:18:41 +0100

imagemagick (7:6.6.2.6-1ubuntu4) natty; urgency=low

  * Don't set MAKEFLAGS in debian/rules. just pass it to the build.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Mar 2011 02:02:30 +0100

imagemagick (7:6.6.2.6-1ubuntu3) natty; urgency=low

  * Make debian/rules install target depend on check; they cannot reliably
    be run in parallel.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 17 Feb 2011 03:30:12 +0000

imagemagick (7:6.6.2.6-1ubuntu2) natty; urgency=low

  * Merge versions 8:6.6.0.4-2.2 and 8:6.6.0.4-3.
    * Apply fix for reading config files from current directory, found by
      Jakub Wilk <jwilk@debian.org> (Closes: #601824).
      Thanks to Andreas Metzler <ametzler@downhill.at.eu.org> for the nicely
      formatted patch.
    * Change Recommends on ufraw to ufraw-batch (closes: #579775).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 24 Nov 2010 16:53:01 +0100

imagemagick (7:6.6.2.6-1ubuntu1) maverick; urgency=low

  * Make ufraw-batch (universe) a suggestion instead of a recommendation.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 17 Sep 2010 16:25:17 +0200
