=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: imagemagick
 Section: graphics
 Priority: optional
-Maintainer: ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>
 Uploaders: Luciano Bello <luciano@debian.org>,
  Daniel Kobras <kobras@debian.org>, Nelson A. de Oliveira <naoliv@debian.org>,
  Bastien Roucariès <roucaries.bastien+debian@gmail.com>
 Standards-Version: 3.8.4
 Build-Depends: chrpath, debhelper (>= 7), ghostscript, libbz2-dev,
  libdjvulibre-dev, libexif-dev, libfreetype6-dev, libgraphviz-dev,
- libjasper-dev, libjpeg-dev, liblcms-dev, liblqr-1-0-dev, libltdl-dev,
- libopenexr-dev, libperl-dev, libpng-dev, librsvg2-dev, libtiff-dev,
+ libjasper-dev, libjpeg62-dev, liblcms1-dev, 
+ libopenexr-dev, libperl-dev, libpng12-dev, librsvg2-dev, libtiff4-dev,
  libwmf-dev, libx11-dev, libxext-dev, libxml2-dev, libxt-dev, pkg-config,
  zlib1g-dev
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-gmagick/
@@ -19,10 +20,10 @@
 Package: imagemagick
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: libmagickcore3-extra, ghostscript, netpbm, ufraw-batch
+Recommends: libmagickcore3-extra, ghostscript, netpbm
 Suggests: imagemagick-doc, autotrace, cups-bsd | lpr | lprng, curl, enscript,
  ffmpeg, gimp, gnuplot, grads, groff-base, hp2xx, html2ps, libwmf-bin, mplayer,
- povray, radiance, sane-utils, texlive-base-bin, transfig, xdg-utils
+ povray, radiance, sane-utils, texlive-base-bin, transfig, xdg-utils, ufraw-batch
 Description: image manipulation programs
  ImageMagick is a software suite to create, edit, and compose bitmap images.
  It can read, convert and write images in a variety of formats (over 100)
