## imagemagick 6.6.0.4-3ubuntu1-maemo2

=== debian/changelog ===
imagemagick (8:6.6.0.4-3ubuntu1-maemo2) oneiric; urgency=low

  * More dependencies fixed
  * Make dev-packages also

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun,  8 Jan 2012 19:22:28 +0200
