=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 NUMJOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-MAKEFLAGS += -j$(NUMJOBS)
+UPSTREAM_MAKEFLAGS += -j$(NUMJOBS)
 endif
 
 build: build-stamp
@@ -47,7 +47,7 @@
 		-e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' \
 		-e '/^archive_cmds="/s/"$$/ \\$$deplibs"/'
 
-	$(MAKE)
+	$(MAKE) $(UPSTREAM_MAKEFLAGS)
 
 	cd "$(CURDIR)/PerlMagick" && \
 		$(MAKE)
@@ -66,7 +66,7 @@
 	@if test "$(DEB_HOST_GNU_TYPE)" = "$(DEB_BUILD_GNU_TYPE)"; then \
 		unset DISPLAY; \
 		LD_LIBRARY_PATH="$(CURDIR)/magick/.libs:$(CURDIR)/wand/.libs:$(CURDIR)/Magick++/lib/.libs:$$LD_LIBRARY_PATH" \
-		$(MAKE) check LD_RUN_PATH= && echo "*** Testsuite succeeded ***" || echo "*** Testsuite failed ***"; \
+		$(MAKE) $(UPSTREAM_MAKEFLAGS) check LD_RUN_PATH= && echo "*** Testsuite succeeded ***" || echo "*** Testsuite failed ***"; \
 		cat test-suite.log; \
 	else \
 		echo "Skipping regression tests because we appear to be cross-compiling"; \
@@ -88,7 +88,7 @@
 
 	dh_clean build-stamp
 
-install: build
+install: build check
 	dh_testdir
 	dh_testroot
 	dh_prep
