## imagemagick 6.6.0.4-3ubuntu1-maemo3

=== debian/changelog ===
imagemagick (8:6.6.0.4-3ubuntu1-maemo3) oneiric; urgency=low

  * Optified

 -- Marcin Mielniczuk <marmistrz@inboxalias.com>  Sun, 23 Mar 2014 11:21:47 +0100
