=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  libjasper-dev, libjpeg62-dev, liblcms1-dev, 
  libopenexr-dev, libperl-dev, libpng12-dev, librsvg2-dev, libtiff4-dev,
  libwmf-dev, libx11-dev, libxext-dev, libxml2-dev, libxt-dev, pkg-config,
- zlib1g-dev
+ zlib1g-dev, maemo-optify
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-gmagick/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gmagick/
 Homepage: http://www.imagemagick.org/
