=== debian/rules ===
--- 
+++ 
@@ -154,6 +154,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
+	maemo-optify
 	dh_md5sums
 	dh_builddeb
