## imagemagick 6.6.2.6

=== debian/changelog ===
imagemagick (7:6.6.2.6-1ubuntu1.1) maverick-security; urgency=low

  * SECURITY UPDATE: arbitrary code execution via config files in the
    current directory.
    - debian/patches/CVE-2010-4167.patch: don't read config files from
      the current directory for the "installed" version.
    - CVE-2010-4167

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 02 Dec 2010 09:29:34 -0500

imagemagick (7:6.6.2.6-1) unstable; urgency=low

  * New upstream release;
  * Change Recommends on ufraw to ufraw-batch (Closes: #579775);
  * Fix FTBFS when using dash to run the configure script, by setting
    CONFIG_SHELL=/bin/bash (Closes: #582073, #583024). Thank you, Niko Tyni!

 -- Nelson A. de Oliveira <naoliv@debian.org>  Sun, 20 Jun 2010 19:59:55 -0300
