=== debian/control ===
--- 
+++ 
@@ -1,14 +1,18 @@
 Source: imagemagick
 Section: graphics
 Priority: optional
-Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>
+Uploaders: Luciano Bello <luciano@debian.org>,
+ Daniel Kobras <kobras@debian.org>, Nelson A. de Oliveira <naoliv@debian.org>,
+ Bastien Roucariès <roucaries.bastien+debian@gmail.com>
 Standards-Version: 3.8.4
 Build-Depends: chrpath, debhelper (>= 7), ghostscript, libbz2-dev,
  libdjvulibre-dev, libexif-dev, libfreetype6-dev, libgraphviz-dev,
- libjasper-dev, libjpeg62-dev, liblcms1-dev, 
- libopenexr-dev, libperl-dev, libpng12-dev, librsvg2-dev, libtiff4-dev,
+ libjasper-dev, libjpeg-dev, liblcms-dev, liblqr-1-0-dev, libltdl-dev,
+ libopenexr-dev, libperl-dev, libpng-dev, librsvg2-dev, libtiff-dev,
  libwmf-dev, libx11-dev, libxext-dev, libxml2-dev, libxt-dev, pkg-config,
- zlib1g-dev, maemo-optify
+ zlib1g-dev
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-gmagick/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gmagick/
 Homepage: http://www.imagemagick.org/
@@ -85,7 +89,7 @@
 Depends: libmagickcore3 (= ${binary:Version}),
  libmagickcore3-extra (= ${binary:Version}), libbz2-dev, libdjvulibre-dev,
  libexif-dev, libfreetype6-dev, libgraphviz-dev, libjasper-dev, libjpeg-dev,
- liblcms-dev, libopenexr-dev, libpng-dev,
+ liblcms-dev, liblqr-1-0-dev, libltdl-dev, libopenexr-dev, libpng-dev,
  librsvg2-dev, libtiff-dev, libwmf-dev, libx11-dev, libxext-dev, libxml2-dev,
  libxt-dev, zlib1g-dev, ${misc:Depends}
 Description: low-level image manipulation library - development files
