=== debian/rules ===
--- 
+++ 
@@ -8,19 +8,20 @@
 export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-IMAGEMAGICKVERSION=6.6.0
+IMAGEMAGICKVERSION=6.6.2
 
 DESTDIR="$(CURDIR)/debian/tmp"
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 NUMJOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-UPSTREAM_MAKEFLAGS += -j$(NUMJOBS)
+MAKEFLAGS += -j$(NUMJOBS)
 endif
 
 build: build-stamp
 build-stamp: $(QUILT_STAMPFN)
 	dh_testdir
 
+	CONFIG_SHELL=/bin/bash \
 	MagickDocumentPath="/usr/share/doc/imagemagick" ./configure \
 	--prefix=/usr \
 	--mandir=\$${prefix}/share/man \
@@ -29,6 +30,7 @@
 	--with-gs-font-dir=/usr/share/fonts/type1/gsfonts \
 	--with-magick-plus-plus \
 	--with-djvu \
+	--with-perl \
 	--enable-shared \
 	--without-dps \
 	--without-fpx \
@@ -47,7 +49,7 @@
 		-e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' \
 		-e '/^archive_cmds="/s/"$$/ \\$$deplibs"/'
 
-	$(MAKE) $(UPSTREAM_MAKEFLAGS)
+	$(MAKE)
 
 	cd "$(CURDIR)/PerlMagick" && \
 		$(MAKE)
@@ -66,7 +68,7 @@
 	@if test "$(DEB_HOST_GNU_TYPE)" = "$(DEB_BUILD_GNU_TYPE)"; then \
 		unset DISPLAY; \
 		LD_LIBRARY_PATH="$(CURDIR)/magick/.libs:$(CURDIR)/wand/.libs:$(CURDIR)/Magick++/lib/.libs:$$LD_LIBRARY_PATH" \
-		$(MAKE) $(UPSTREAM_MAKEFLAGS) check LD_RUN_PATH= && echo "*** Testsuite succeeded ***" || echo "*** Testsuite failed ***"; \
+		$(MAKE) check LD_RUN_PATH= && echo "*** Testsuite succeeded ***" || echo "*** Testsuite failed ***"; \
 		cat test-suite.log; \
 	else \
 		echo "Skipping regression tests because we appear to be cross-compiling"; \
@@ -83,12 +85,13 @@
 	[ ! -f PerlMagick/Makefile ] || (cd PerlMagick && $(MAKE) distclean)
 	[ ! -f Makefile ] || $(MAKE) distclean
 	[ ! -f Magick++/Makefile ] || (cd Magick++ && $(MAKE) distclean)
-	rm -f "$(CURDIR)/utilities/.libs/*" "$(CURDIR)/_configs.sed" \
-		"$(CURDIR)/magick/magick-config.h"
+	rm -f "$(CURDIR)"/utilities/.libs/* "$(CURDIR)"/_configs.sed \
+		"$(CURDIR)"/magick/magick-config.h \
+		"$(CURDIR)"/Magick++/demo/demo_out*.miff
 
 	dh_clean build-stamp
 
-install: build check
+install: build
 	dh_testdir
 	dh_testroot
 	dh_prep
@@ -154,7 +157,6 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
-	maemo-optify
 	dh_md5sums
 	dh_builddeb
