## imagemagick 6.6.9.7

=== PerlMagick/demo/Makefile ===
all:
	perl demo.pl
	perl button.pl
	perl shapes.pl
	perl piddle.pl
	perl tree.pl
	perl steganography.pl
	perl shadow_text.pl
	perl compose_specials.pl
	perl pixel_fx.pl
	perl single_pixels.pl
	perl annotate.pl
	perl composite.pl

clean:
	/bin/rm -f demo.jpg button.gif model.png shadow.gif tree.gif \
	    compose_specials.jpg  single_pixels.gif  pixel_fx.gif
