=== debian/changelog ===
imagemagick (8:6.6.9.7-6) unstable; urgency=high

  * Security bug fix: "Invalid validation DoS
    CVE-2012-0247/CVE-2012-02478", thanks to Henri Salo (Closes: #659339).
  * Bumping urgency to high to fix open security issue in testing
  * Apply patch from revision r6606 to fix compilation with newer zlib.

 -- Vincent Fourmond <fourmond@debian.org>  Wed, 22 Feb 2012 23:08:56 +0100

imagemagick (8:6.6.9.7-5) unstable; urgency=low

  * Replace a overlapped memcopy by a memmove
  * Fix a PNG reduction bug "Corrupted (?) icons", thanks to  
    Torbjörn Andersson <eriknospam@telia.com> 
    (Closes: #630619).
  * Fix parallel build issue. Make debian/rules install target depend 
    on check. Thanks Colin Watson <cjwatson@ubuntu.com>
    (Closes: #593041).

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Thu, 16 Jun 2011 00:18:36 +0200

imagemagick (8:6.6.9.7-4) unstable; urgency=low

  [ Bastien Roucariès ]
  * Acknowledge NMUs. Thanks Vincent Fourmond.
  * Add Vincent Fourmond as comaintainer.
  * Fixed one-off bug in option parser (Closes: #609177).
  * Move configuration files to a common package: Fix bug
    "non-versioned files in a shared library packages
    is *wrong*", thanks to Julien Cristau (Closes: #629945). 

  [ Vincent Fourmond ]
  * Do not forget to depend on that package...
  * And add a Replaces: libmagickcore4 (= 8:6.6.9.7-3.1) stanza on
    imagemagick-common to allow a neat upgrade path.

 -- Vincent Fourmond <fourmond@debian.org>  Sat, 11 Jun 2011 21:31:54 +0200

imagemagick (8:6.6.9.7-3.1) unstable; urgency=low

  * Non-maintainer upload, with permission of Bastien Roucariès
  * Move configuration file to the libmagickcore4 package where they
    belong.

 -- Vincent Fourmond <fourmond@debian.org>  Fri, 03 Jun 2011 00:17:27 +0200

imagemagick (8:6.6.9.7-3) unstable; urgency=low

  * Install config files to /etc really (Closes: #627981).
  * Fix a FTBFS on hurd-i386. Thanks to Pino Toscano (Closes: #628020).
  * Better wording for NEWS file. (Closes: #628007).

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Mon, 30 May 2011 11:27:46 +0200

imagemagick (8:6.6.9.7-2) unstable; urgency=low

  * Upload to unstable

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Fri, 06 May 2011 19:26:53 +0200

imagemagick (8:6.6.9.7-1) experimental; urgency=low

  [ Bastien Roucariès ]
  * Switch build architecture:
  - to git over svn.
  - Modify rules in order to use git.
  - Add README.Source file.
  * New upstream release (Closes: #612811):
  - Drop patch for reading config files from current directory, 
    corrected upstream (Closes: #601824).
  - Upstream updated SONAME (Closes: #587227).
  - Fixes -strip adds additional tags to the image (Closes: #594693).
  - Add example files (Closes: #611125).
  - Move configuration file to /etc.
  - Fix caption error with non break space (Closes: #614117)
  * Fix a build failure: do not try to remove empty directories if list is nil.
  * Perlmagick:
  - Fix a build failure, always run make install.
  - Perlmagick: Update build to conform with perl policy
  * Acknowledge NMUs (Closes: #579775)
  * Bump standard version to 3.9.1.0
  * Use DEB_UPSTREAM_VERSION from cdbs

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Sun, 01 May 2011 13:41:34 +0200
