=== debian/control ===
--- 
+++ 
@@ -1,29 +1,30 @@
 Source: imagemagick
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>
+Maintainer: ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>
 Uploaders: Luciano Bello <luciano@debian.org>,
- Daniel Kobras <kobras@debian.org>, Nelson A. de Oliveira <naoliv@debian.org>,
- Bastien Roucariès <roucaries.bastien+debian@gmail.com>
-Standards-Version: 3.8.4
+ Daniel Kobras <kobras@debian.org>, 
+ Nelson A. de Oliveira <naoliv@debian.org>,
+ Bastien Roucariès <roucaries.bastien+debian@gmail.com>,
+ Vincent Fourmond <fourmond@debian.org>
+Standards-Version: 3.9.2
 Build-Depends: chrpath, debhelper (>= 7), ghostscript, libbz2-dev,
  libdjvulibre-dev, libexif-dev, libfreetype6-dev, libgraphviz-dev,
  libjasper-dev, libjpeg-dev, liblcms-dev, liblqr-1-0-dev, libltdl-dev,
  libopenexr-dev, libperl-dev, libpng-dev, librsvg2-dev, libtiff-dev,
  libwmf-dev, libx11-dev, libxext-dev, libxml2-dev, libxt-dev, pkg-config,
  zlib1g-dev
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-gmagick/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gmagick/
+Vcs-Browser: http://git.debian.org/?p=collab-maint/imagemagick.git
+Vcs-Git: git://git.debian.org/collab-maint/imagemagick.git
 Homepage: http://www.imagemagick.org/
 
 Package: imagemagick
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: libmagickcore3-extra, ghostscript, netpbm
+Recommends: libmagickcore4-extra, ghostscript, netpbm, ufraw-batch
 Suggests: imagemagick-doc, autotrace, cups-bsd | lpr | lprng, curl, enscript,
  ffmpeg, gimp, gnuplot, grads, groff-base, hp2xx, html2ps, libwmf-bin, mplayer,
- povray, radiance, sane-utils, texlive-base-bin, transfig, xdg-utils, ufraw-batch
+ povray, radiance, sane-utils, texlive-base-bin, transfig, xdg-utils
 Description: image manipulation programs
  ImageMagick is a software suite to create, edit, and compose bitmap images.
  It can read, convert and write images in a variety of formats (over 100)
@@ -38,12 +39,22 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: imagemagick (= ${binary:Version}), libmagick++3 (= ${binary:Version}),
- libmagickcore3-extra (= ${binary:Version}), perlmagick (= ${binary:Version}),
+Depends: imagemagick (= ${binary:Version}), libmagick++4 (= ${binary:Version}),
+ libmagickcore4-extra (= ${binary:Version}), perlmagick (= ${binary:Version}),
  ${misc:Depends}
 Description: debugging symbols for ImageMagick
  This package contains the debugging symbols for ImageMagick, a software suite
  to create, edit, and compose bitmap images.
+
+Package: imagemagick-common
+Architecture: all
+Depends: ${misc:Depends}
+Replaces:libmagickcore4 (= 8:6.6.9.7-3.1)  
+Description: image manipulation programs -- infrastructure
+ imagemagick-common contains the filesystem infrastructure required for
+ further installation of imagemagick in any configuration; it does not provide
+ a full installation of binaries, libraries, and utilities
+ required to run imagemagick.
  
 Package: imagemagick-doc
 Architecture: all
@@ -56,12 +67,12 @@
  This package contains the document files shipped with ImageMagick, a software
  suite to create, edit, and compose bitmap images.
 
-Package: libmagickcore3
+Package: libmagickcore4
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, imagemagick-common
 Recommends: ghostscript, gsfonts
-Suggests: libmagickcore3-extra
+Suggests: libmagickcore4-extra
 Description: low-level image manipulation library
  The MagickCore API is a low-level interface between the C programming language
  and the ImageMagick image processing libraries and is recommended for
@@ -72,13 +83,12 @@
  This package contains the C libraries needed to run executables that make
  use of MagickCore.
 
-Package: libmagickcore3-extra
+Package: libmagickcore4-extra
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: libmagickcore-extra
-Conflicts: libmagickcore2 (<= 7:6.5.5.3-1)
-Enhances: libmagickcore3
+Enhances: libmagickcore4
 Description: low-level image manipulation library - extra codecs
  This package adds support for SVG, WMF, OpenEXR, DjVu and Graphviz to
  MagickCore.
@@ -86,8 +96,8 @@
 Package: libmagickcore-dev
 Architecture: any
 Section: libdevel
-Depends: libmagickcore3 (= ${binary:Version}),
- libmagickcore3-extra (= ${binary:Version}), libbz2-dev, libdjvulibre-dev,
+Depends: libmagickcore4 (= ${binary:Version}),
+ libmagickcore4-extra (= ${binary:Version}), libbz2-dev, libdjvulibre-dev,
  libexif-dev, libfreetype6-dev, libgraphviz-dev, libjasper-dev, libjpeg-dev,
  liblcms-dev, liblqr-1-0-dev, libltdl-dev, libopenexr-dev, libpng-dev,
  librsvg2-dev, libtiff-dev, libwmf-dev, libx11-dev, libxext-dev, libxml2-dev,
@@ -96,10 +106,10 @@
  This package includes header files and static libraries needed to compile
  programs using MagickCore.
 
-Package: libmagickwand3
+Package: libmagickwand4
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, imagemagick-common
 Description: image manipulation library 
  The MagickWand API is the recommended interface between the C programming
  language and the ImageMagick image processing libraries. Unlike the
@@ -112,16 +122,14 @@
 Package: libmagickwand-dev
 Architecture: any
 Section: libdevel
-Depends: libmagickwand3 (= ${binary:Version}),
- libmagickcore3-extra (= ${binary:Version}),
+Depends: libmagickwand4 (= ${binary:Version}),
+ libmagickcore4-extra (= ${binary:Version}),
  libmagickcore-dev (= ${binary:Version}), ${misc:Depends}
-Provides: libmagick9-dev
-Conflicts: libmagick9-dev
 Description: image manipulation library - development files
  This package includes header files and static libraries needed to compile
  programs using MagickWand.
 
-Package: libmagick++3
+Package: libmagick++4
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -135,11 +143,9 @@
 Package: libmagick++-dev
 Architecture: any
 Section: libdevel
-Depends: libmagick++3 (= ${binary:Version}),
+Depends: libmagick++4 (= ${binary:Version}),
  libmagickcore-dev (= ${binary:Version}),
  libmagickwand-dev (= ${binary:Version}), ${misc:Depends}
-Provides: libmagick++9-dev
-Conflicts: libmagick++9-dev
 Description: object-oriented C++ interface to ImageMagick - development files
  This package includes header files and static libraries needed to compile
  programs using Magick++.
