=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,13 @@
 
 export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+export DEB_SOURCE_PACKAGE ?= $(strip $(shell egrep '^Source: ' debian/control | cut -f 2 -d ':'))
+export DEB_VERSION ?= $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
+export DEB_NOEPOCH_VERSION ?= $(shell echo $(DEB_VERSION) | cut -d: -f2-)
+export DEB_UPSTREAM_VERSION ?= $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
+export DEB_ISNATIVE ?= $(shell dpkg-parsechangelog | egrep '^Version:' | perl -ne 'print if not /^Version:\s*.*-/;')
 
-IMAGEMAGICKVERSION=6.6.2
+export DEB_UPSTREAM_VERSION_DROPREVISION ?= $(shell echo $(DEB_UPSTREAM_VERSION) |  sed -r "s/(^.+)\..+$$/\1/g")
 
 DESTDIR="$(CURDIR)/debian/tmp"
 
@@ -21,16 +26,15 @@
 build-stamp: $(QUILT_STAMPFN)
 	dh_testdir
 
-	CONFIG_SHELL=/bin/bash \
 	MagickDocumentPath="/usr/share/doc/imagemagick" ./configure \
 	--prefix=/usr \
+	--sysconfdir=/etc \
 	--mandir=\$${prefix}/share/man \
 	--infodir=\$${prefix}/share/info \
 	--with-modules \
 	--with-gs-font-dir=/usr/share/fonts/type1/gsfonts \
 	--with-magick-plus-plus \
 	--with-djvu \
-	--with-perl \
 	--enable-shared \
 	--without-dps \
 	--without-fpx \
@@ -39,7 +43,7 @@
 	--x-libraries=/usr/lib/X11
 
 	cd "$(CURDIR)/PerlMagick" && \
-		perl Makefile.PL
+		perl Makefile.PL INSTALLDIRS=vendor
 
 	# Patch the generated libtool to avoid passing -rpath when linking,
 	# and to explicitly link libraries against the libraries they
@@ -52,7 +56,7 @@
 	$(MAKE)
 
 	cd "$(CURDIR)/PerlMagick" && \
-		$(MAKE)
+		$(MAKE) OPTIMIZE="-O2 -g -Wall"
 
 	touch build-stamp
 
@@ -85,19 +89,23 @@
 	[ ! -f PerlMagick/Makefile ] || (cd PerlMagick && $(MAKE) distclean)
 	[ ! -f Makefile ] || $(MAKE) distclean
 	[ ! -f Magick++/Makefile ] || (cd Magick++ && $(MAKE) distclean)
-	rm -f "$(CURDIR)"/utilities/.libs/* "$(CURDIR)"/_configs.sed \
-		"$(CURDIR)"/magick/magick-config.h \
-		"$(CURDIR)"/Magick++/demo/demo_out*.miff
+	rm -f "$(CURDIR)/utilities/.libs/*" "$(CURDIR)/_configs.sed" #\
+#		"$(CURDIR)/magick/magick-config.h"
 
 	dh_clean build-stamp
 
-install: build
+install: build check
 	dh_testdir
 	dh_testroot
 	dh_prep
 	dh_installdirs
 
 	$(MAKE) install \
+		DESTDIR="$(CURDIR)/debian/tmp" \
+		pkgdocdir=/usr/share/doc/imagemagick
+
+	cd "$(CURDIR)/PerlMagick" && \
+		$(MAKE) install \
 		DESTDIR="$(CURDIR)/debian/tmp" \
 		pkgdocdir=/usr/share/doc/imagemagick
 
@@ -108,17 +116,17 @@
 	-find "$(CURDIR)/debian" -type f -name .packlist | xargs rm -f
 
 	# Fix HTML location inside manpages
-	sed -i 's/doc\/ImageMagick-$(IMAGEMAGICKVERSION)/doc\/imagemagick/' \
+	sed -i 's/doc\/ImageMagick-$(DEB_UPSTREAM_VERSION_DROPREVISION)/doc\/imagemagick/' \
 		$(DESTDIR)/usr/share/man/man*/*
-	sed -i 's/doc\/ImageMagick\\-$(IMAGEMAGICKVERSION)/doc\/imagemagick/' \
+	sed -i 's/doc\/ImageMagick\\-$(DEB_UPSTREAM_VERSION_DROPREVISION)/doc\/imagemagick/' \
 		$(DESTDIR)/usr/share/man/man*/*
 
 	# Use x-terminal emulator for editing (Bug #132947)
 	sed -i 's/xterm/\/etc\/alternatives\/x-terminal-emulator/' \
-		$(DESTDIR)/usr/lib/ImageMagick-$(IMAGEMAGICKVERSION)/config/delegates.xml
+		$(DESTDIR)/etc/ImageMagick/delegates.xml
 
 	# Remove empty directories in debian/tmp
-	-find $(DESTDIR) -type d -empty | xargs rmdir -p
+	-find $(DESTDIR) -type d -empty | xargs -r rmdir -p
 
 	# Remove RPATH from Magick.so
 	chrpath -d $(DESTDIR)/usr/lib/perl5/auto/Image/Magick/Magick.so
@@ -141,8 +149,8 @@
 	dh_install
 	# Remove extra coders
 	while read FILE; do \
-		rm -f debian/libmagickcore3/$$FILE; \
-	done < debian/libmagickcore3-extra.install
+		rm -f debian/libmagickcore4/$$FILE; \
+	done < debian/libmagickcore4-extra.install
 	dh_installmenu
 	dh_installman
 	dh_installmime
@@ -150,7 +158,8 @@
 	dh_installchangelogs
 	dh_link
 	dh_strip --dbg-package=imagemagick-dbg
-	dh_compress
+# fix #611125
+	dh_compress -X/usr/share/doc/imagemagick/www
 	dh_fixperms
 	dh_perl
 	dh_makeshlibs -V
